cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC™ 4

maze_1672671
New Contributor II

Hello all,

I would like to use authentication in my device so I started with Day016_Authentication

I added CyBle_GapFixAuthPassKey because I do not have a display, and CyBle_GappStartAdvertisement when CYBLE_EVT_GAP_DEVICE_DISCONNECTED

I input 0 -> DISPLAY_ONLY

Using an android phone I get:

Bluetooth Stack ON:

Set the I/O capabilities:

Updated the I/O capabilities:DISPLAY_ONLY

Started to advertise

Device Connected

CYBLE_EVT_GAP_AUTH_REQ from Master:

security: Authentication and Encryption

Bonding:yes

eKeySize: 0x10

err: 0x0

Encryption ON

KEYINFO_EXCHANGE_COMPLETED

Long term Key: 970be307d61ac437c93efa5df4763b72

Encrypted Diversifier: 316a

Random Number:1e85951f707114ad

Indentifier Resolving Key: 5ecc67062f22b1ff6c220ad7ef9593ae

Public device/Static Random address: 1cb72c56eec8

Address Type:PUBLIC

Connection Signature Resolving Key: 27f25b2540d5ab65bdfbc33982f8ee51

AUTHENTICATION_COMPLETED:

Security: Unauthenticated and Encryption

Bonding:yes

eKeySize: 0x10

err: 0x0

Device Disonnected

Started to advertise

On the phone the passkey was never asked and, as you can see, the connection is "Unauthenticated and Encryption"

What am I missing?

0 Likes
4 Replies
Yugandhar
Moderator
Moderator

Hello,

At my end, it is working fine. In the project, I used CyBle_GapFixAuthPassKey(1,123456) Api for setting the fixed passkey value and this value is displaying at the peripheral side.
Could you please check the Api result of the function CyBle_GapFixAuthPassKey()? Also, please check with some other phones.

Thanks,
P Yugandhar.

0 Likes
maze_1672671
New Contributor II

Hello Yugandhar,

thank you for the answer

There is no error in CyBle_GapFixAuthPassKey

I cannot tell to my boss: "in Cypress it works", can you be more accurate, e.g. do you have a compatibility table against android and ios phones?

0 Likes
Yugandhar
Moderator
Moderator

Hello,

Please refer to the attached image which is tested with Samsung galaxy note 8 Android phone(it has BLE V5.0). In your project, please update the BLE component to the latest version(In PSoC Creator, Go to ->Project ->Update components)

If you have any other Andriod phones, then please check with it and let me know the observations.

Thanks,

P Yugandhar.

0 Likes
maze_1672671
New Contributor II

Hello Yugandhar,

the only phone where things goes fine is my personal old samsung galaxy neo, it has an old android, so I thought that android 5.0, not ble 5.0, could be the cause. We experienced the same problem also on ios

We cannot suggest to our customers to buy a particular phone, so we would like to clarify the nature of the issue: is Day016_Authentication outdated? Must we set-up the phone(s) with different settings?

Best regards

Massimo

0 Likes